Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: pkgconfig(gdk-2.0)
# END SourceDeps(oneline)
BuildRequires: pkgconfig(pixman-1) pkgconfig(xdmcp)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lv2-newtonator
Version:        0.6.0
Release:        alt3_29
Summary:        An LV2 soft synth

# stated as GPLv2 on project page
License:        GPLv3+
URL:            http://sourceforge.net/projects/newtonator/
Source0:        http://downloads.sourceforge.net/project/newtonator/newtonator-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  lv2-c++-tools-devel
BuildRequires:  libgtkmm2-devel
BuildRequires:  libstk-devel
BuildRequires:  lv2-devel
BuildRequires:  ctest cmake
Requires:       lv2
Source44: import.info

%description
The Newtonator is an LV2 soft synth that uses a unique algorithm based on 
simple ideas of velocity and acceleration to produce some unpredictable sounds.

%prep
%setup -q -n newtonator-%{version}
find . -name "*.h"  -exec chmod -x {} \; ;
find . -name "*.cpp" -exec chmod -x {} \; ;

%build
%ifarch sparcv9 sparc64 s390 s390x
export CXXFLAGS="%{optflags} -fPIC"
%else
export CXXFLAGS="%{optflags} -fpic"
%endif

%{fedora_v2_cmake} -DLV2_INSTALL_DIR=%{_libdir}/lv2 \
  -DCMAKE_INSTALL_PREFIX=%{_prefix}
%fedora_v2_cmake_build 

%install
%fedora_v2_cmake_install

%files
%doc README RELEASE AUTHORS
%doc --no-dereference COPYING.Newtonator
%{_libdir}/lv2/newtonator.lv2
%{_libdir}/lv2/newtonator_gtk.lv2

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_29
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_27
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_26
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_25
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt3_24
- update to new release by fcimport

* Thu Oct 14 2021 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt3_23
- rebuild to get rid of unmets

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt2_23
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt2_22
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt2_21
- update to new release by fcimport

* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_21
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_20
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_17
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_16
- update to new release by fcimport

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_15
- update to new release by fcimport

